configure: deprecate cuda_sdk dependency option